version: '2'

services:
  glances:
    image: docker.io/nicolargo/glances
    hostname: glances
    container_name: glances
    restart: always
    pid: host
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock:ro
      - ./glances.conf:/glances/conf/glances.conf:ro
    environment:
      - GLANCES_OPT=-w
    expose:
      - 61208
    networks:
      mynet:
        ipv4_address: 172.26.0.101

networks:
  mynet:
    driver: bridge
    ipam:
      config:
      - subnet: 172.26.0.0/24
